Package ru.bgcrm.servlet

# Class ActionServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.struts.action.ActionServlet
ru.bgcrm.servlet.ActionServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class ActionServlet extends org.apache.struts.action.ActionServlet
Overwritten ActionServlet, loads actions for enabled plugins.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static @interface`
  `ActionServlet.Action`
  Annotation for marking action classes.

- ## Field Summary

  ### Fields inherited from class org.apache.struts.action.ActionServlet

  `chainConfig, config, configDigester, convertNull, internal, internalName, registrations, servletMapping, servletName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionServlet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.apache.struts.config.ModuleConfig`
  `initModuleConfig(String prefix, String paths)`
  Loads annotated actions.
  `static String`
  `pathId(Class<? extends org.apache.struts.actions.BaseAction> clazz, String method)`
  Provides action ID for path-identified actions

  ### Methods inherited from class org.apache.struts.action.ActionServlet

  `addServletMapping, destroy, destroyConfigDigester, destroyInternal, destroyModules, doGet, doPost, getInternal, getModuleConfig, getRequestProcessor, init, initChain, initConfigDigester, initInternal, initModuleActions, initModuleConfigFactory, initModuleExceptionConfigs, initModuleFormBeans, initModuleForwards, initModuleMessageResources, initModulePlugIns, initModulePrefixes, initOther, initServlet, parseModuleConfigFile, parseModuleConfigFile, process, processActionConfigClass, processActionConfigExtension, processExceptionConfigClass, processExceptionExtension, processFormBeanConfigClass, processFormBeanExtension, processForwardConfigClass, processForwardExtension, splitAndResolvePaths`

  ### Methods inherited from class javax.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

  ### Methods inherited from class javax.servlet.GenericServlet

  `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ActionServlet

    public ActionServlet()

- ## Method Details

  - ### pathId

    public static String pathId(Class<? extends org.apache.struts.actions.BaseAction> clazz, String method)
    Provides action ID for path-identified actions
    Parameters:
      `clazz` - the action class
      `method` - method, can be `null`
    Returns:
      the action ID, containing action path with semicolon separated method name

  - ### initModuleConfig

    protected org.apache.struts.config.ModuleConfig initModuleConfig(String prefix, String paths) throws javax.servlet.ServletException
    Loads annotated actions.
    Overrides:
      `initModuleConfig` in class `org.apache.struts.action.ActionServlet`
    Throws:
      `javax.servlet.ServletException`